The Spring Framework

## org.springframework.core.task
Interface TaskExecutor

All Known Subinterfaces:
  AsyncTaskExecutor, SchedulingTaskExecutor

All Known Implementing Classes:
  ConcurrentTaskExecutor, ConcurrentTaskExecutor, GlassFishWorkManagerTaskExecutor, JBossWorkManagerTaskExecutor, SimpleAsyncTaskExecutor, SimpleThreadPoolTaskExecutor, SyncTaskExecutor, ThreadPoolTaskExecutor, ThreadPoolTaskExecutor, TimerTaskExecutor, WorkManagerTaskExecutor, WorkManagerTaskExecutor

    public interface TaskExecutor

Simple task executor interface that abstracts the execution of a `Runnable`.

Implementations can use all sorts of different execution strategies, such as: synchronous, asynchronous, using a thread pool, and more.

Equivalent to JDK 1.5's `Executor` interface. Separate mainly for compatibility with JDK 1.4. Implementations can simply implement the JDK 1.5 `Executor` interface as well, as it defines the exact same method signature.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `Executor`

Method Summary
`void` `execute(Runnable task)` Execute the given `task`.

Method Detail

### execute

    void execute(Runnable task)

  Execute the given `task`.

  The call might return immediately if the implementation uses an asynchronous execution strategy, or might block in the case of synchronous execution.

  Parameters:
    `task` - the `Runnable` to execute (never `null`)
  Throws:
    `TaskRejectedException` - if the given task was not accepted

The Spring Framework

Copyright © 2002-2008 The Spring Framework.